Update Avatar
POST
/orgs/{org}/avatar
const url = 'https://gitea.com/api/v1/orgs/example/avatar';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"image":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.com/api/v1/orgs/example/avatar \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "image": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
Name of the organization
Request Body
Section titled “Request Body”Media typeapplication/json
UpdateUserAvatarUserOption options when updating the user avatar
object
image
Image must be base64 encoded
string
Examplegenerated
{ "image": "example"}Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APINotFound is a not found empty response
Media typeapplication/json